%define kdename kmp3
%define	version 1.0

Name: %{kdename}
Summary: MP3 audio player.
Version: %{version}
Release: 5mdk
Source:  %{name}-%{version}.tar.bz2
Source1: kmp3
Group: Sound
Copyright: GPL
BuildRoot: %{_tmppath}/%{name}-buildroot
Requires: qt kdelibs
Prefix: %{_prefix}
Exclusivearch: i386 i486 i586 i686 k6 k7

%description
K Desktop Environment player for MP3 audio files.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q -n kmp3

%build
libtoolize --force
CXXFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" \
  ./configure --with-install-root=$RPM_BUILD_ROOT --disable-rpath

mkdir -p $RPM_BUILD_ROOT    
if [ "$SMP" != "" ]; then
  (make KDEDIR=$KDEDIR "MAKE=make -j $SMP"; exit 0)
  make KDEDIR=$KDEDIR
else
  make KDEDIR=$KDEDIR
fi

%install
make prefix=$RPM_BUILD_ROOT$KDEDIR install
chmod 755 $RPM_BUILD_ROOT/usr/share/apps/kmp3/plugins/plugMP3.so
install -m 755 -d $RPM_BUILD_ROOT/usr/lib/menu
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT/usr/lib/menu/  

cd $RPM_BUILD_ROOT
echo '%defattr(-,root,root,0755)' > $RPM_BUILD_DIR/file.list.%{name}
echo '%docdir /usr/doc/kde' >> $RPM_BUILD_DIR/file.list.%{name}
find . -type d | sed '1,2d;s,^\.,\%attr(-\,root\,root) \%dir ,' > \
	$RPM_BUILD_DIR/file.list.%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
## menu
if [ -x /usr/bin/update-menus ]; then
  /usr/bin/update-menus
fi                       

%postun
## menu
if [ "$1" = 0 ]; then
  if [ -x /usr/bin/update-menus ]; then
      /usr/bin/update-menus
  fi
fi  

%files 
%defattr(-,root,root)
%doc CHANGES COPYING CREDITS FAQ TODO
/usr/share/locale/*/LC_MESSAGES/*
/usr/share/apps/kmp3
/usr/share/mimelnk/audio/*.kdelnk
/usr/share/icons/kmp3.xpm
/usr/share/icons/mini/kmp3.xpm
/usr/bin/*
/usr/lib/menu/%{name}
                          
%changelog
* Fri May  5 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0-5mdk
- remove ugly file list
- added mimelnk

* Thu Apr 13 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-4mdk
- Add documentation

* Mon Mar 27 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-3mdk
- corrected spec file
- add menu 

* Fri Mar 24 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-2mdk
- Disable rpath

* Wed Mar 22 2000 Vincent Saugey <vince@mandrakesoft.com> 1.0-1mdk
- Upfated to 1.0
- spec corrected to the for new group

* Thu Jan 20 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 
- Libtoolize --force.
- Exclusivearch i386 i486 i586 i686 k6 k7.

* Thu Sep 23 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for cooker

* Sun Aug 29 1999 Daniel M. Duley <mosfet@linuxmandrake.com>
- Inital RPM.
